org.apache.maven.project

## Class MissingProjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.project.MissingProjectException

All Implemented Interfaces:
  java.io.Serializable

    public class MissingProjectException
    extends java.lang.Exception

Exception that occurs when the user has identifed a project to make, but that project doesn't exist.

Version:
  $Id: MissingProjectException.java 708543 2008-10-28 11:54:17Z bentmann $
Author:
  Dan Fabulich
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingProjectException(java.lang.String message)`
`MissingProjectException(java.lang.String message, java.lang.Exception e)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingProjectException

    public MissingProjectException(java.lang.String message)

#### MissingProjectException

    public MissingProjectException(java.lang.String message,
                           java.lang.Exception e)